View Issue Details

IDProjectCategoryView StatusLast Update
0003761SymmetricDS ProBugpublic2018-11-28 11:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.15 
Target Version3.9.15Fixed in Version3.9.15 
Summary0003761: dbcompare should use sync key names and included/excluded columns
DescriptionWhen using the "use-sym-config" command line option, dbcompare should use sync key names and included/excluded columns. If a table is missing a primary key, dbcompare refuses to compare it. The "sync key names" configuration should tell dbcompare how the primary key should work. The included or excluded columns should affect which columns are used for comparison. If the user excludes a column, the column should not be checked for differences.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 1a18a4b3

2018-10-19 13:29:20

admin

Details Diff
0003761: dbcompare should use sync key names and included/excluded
columns

0003761
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File

SymmetricDS: 3.10 70a41660

2018-10-19 13:30:14

admin

Details Diff
0003761: dbcompare should use sync key names and included/excluded
columns

0003761
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File

Issue History

Date Modified Username Field Change
2018-10-16 18:01 elong New Issue
2018-10-16 18:01 elong Status new => assigned
2018-10-16 18:01 elong Assigned To => elong
2018-10-19 14:00 admin Changeset attached => SymmetricDS 3.9 1a18a4b3
2018-10-19 14:16 elong Status assigned => resolved
2018-10-19 14:16 elong Resolution open => fixed
2018-10-19 14:16 elong Fixed in Version => 3.9.15
2018-10-31 16:31 mmichalek Status resolved => closed
2018-11-28 11:00 admin Changeset attached => SymmetricDS 3.10 70a41660